Package com.mckoi.database

## Interface RowEnumeration

All Known Implementing Classes:
  `SimpleRowEnumeration`

    public interface RowEnumeration

This enumeration allows for access to a tables rows. Each call to 'nextRowIndex()' returns an int that can be used in the 'Table.getCellContents(int row, int column)'.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hasMoreRows()` Determines if there are any rows left in the enumeration.
`int` `nextRowIndex()` Returns the next row index from the enumeration.

### Method Detail

#### hasMoreRows

    boolean hasMoreRows()

Determines if there are any rows left in the enumeration.

#### nextRowIndex

    int nextRowIndex()

Returns the next row index from the enumeration.